{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Carrier ELD Integration List",
    "description": "The API provides the list of currently integrated ELD carriers.\n\nRequests are authenticated by the `partnerId` and `accountId` attributes as query params.\nThese values will be provided by TruckerTools during onboarding, the latter already being encrypted.\n"
  },
  "servers": [
    {
      "description": "SwaggerHub API Auto Mocking",
      "url": "https://virtserver.swaggerhub.com/truckertools/Carrier-ELD-Integration-List/1.0.0"
    },
    {
      "url": "http://loadtracking.truckertools.com",
      "description": "Production Server\n"
    }
  ],
  "paths": {
    "/loadtrack/getELDCarriersMC": {
      "get": {
        "security": [],
        "summary": "List of ELD carriers",
        "description": "Get List of ELD carriers.\n",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "$ref": "#/components/parameters/partnerId"
          },
          {
            "$ref": "#/components/parameters/has_temperature"
          },
          {
            "$ref": "#/components/parameters/has_trailer"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/getELDCarriersMCResponse"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "accountId": {
        "description": "Encrypted Customer Account Id\n",
        "name": "accountId",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "example": null
        }
      },
      "partnerId": {
        "description": "Customer Partner Id\n",
        "name": "partnerId",
        "in": "query",
        "required": true,
        "schema": {
          "type": "integer",
          "example": null
        }
      },
      "has_temperature": {
        "description": "Has temperature tracking on\n",
        "name": "has_temperature",
        "in": "query",
        "schema": {
          "type": "integer",
          "enum": [
            1
          ],
          "example": 1
        }
      },
      "has_trailer": {
        "description": "Has trailer tracking on\n",
        "name": "has_trailer",
        "in": "query",
        "schema": {
          "type": "integer",
          "enum": [
            1
          ],
          "example": 1
        }
      }
    },
    "responses": {
      "getELDCarriersMCResponse": {
        "description": "Get list of ELD integration\n",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "boolean",
                  "default": true
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ELDCarrierMC"
                  }
                }
              }
            }
          }
        }
      }
    },
    "schemas": {
      "ELDCarrierMC": {
        "type": "string",
        "example": "MCXXXXXX"
      }
    }
  }
}